Clips along the named paths from the 8BIM profile

- « Imagick::clipImagePath

- Imagick::clone »

- PHP Manual
- Imagick
- Clips along the named paths from the 8BIM profile

# Imagick::clipPathImage

(PECL imagick 2, PECL imagick 3)

Imagick::clipPathImage — Clips along the named paths from the 8BIM profile

### Description

public Imagick::clipPathImage(string `$pathname`, bool `$inside`): bool

Clips along the named paths from the 8BIM profile, if present. Later operations take effect inside the path. It may be a number if preceded with #, to work on a numbered path, e.g., "#1" to use the first path.

### Parameters

`pathname`

  The name of the path

`inside`

  If `true` later operations take effect inside clipping path. Otherwise later operations take effect outside clipping path.

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.